#!/bin/sh
# Usage: dualize0.sh input_file [output_file]
# Author: Takahisa Toda
# Description: given a DNF of a Boolean function, this software computes the DNF of all prime implicants of the dual function.
# Note: to use this script, obtain dbtdd from http://www.sd.is.uec.ac.jp/toda/code/dbtdd.html and set PATH_TO_DBTDD.

PATH_TO_DBTDD="."

if [ $# -lt 1 -o $# -gt 2 ]; then
        echo "Usage: dualize0.sh input_file [output_file]"
        exit 1
fi

input_file=$1

if [ $# -eq 2 ]; then
    output_file=$2
fi

echo "${PATH_TO_DBTDD}/dbtdd $input_file $outputfile"
${PATH_TO_DBTDD}/dbtdd $input_file $outputfile
